News:

Bored?  Looking to kill some time?  Want to chat with other SMF users?  Join us in IRC chat or Discord

Main Menu

Upgrade from 2.0.19 to 2.1.X impossible, imcompatible, and empty.

Started by FinsandFur, May 20, 2022, 10:35:05 PM

Previous topic - Next topic

FinsandFur

I just cannot get this figured out.I've been trying different things for close to a month.
Via the package manager I get an error that says even though the package was uploaded it appears to be empty.
The package doesnt even show in the list.
Then I try to upload file by file via FTP, to a sub directory in the "packages" directory as suggested along with the above error message. It says PKG manager will automatically find the package when done this way. Nope, it doesnt.
It's there, but pkg manager ignores it.
Permissions are all writable.
No errors in error log.
And Mod Sec disabled.
Any ideas? This is incredibly frustrating

Shades.

You can't upgrade 2.0.19 via package manager! You need to upload the 2.1.2 large upgrade to your forum directory and run the upgrade.php (yourdomain.com/forum/upgrade.php) or (yourdomain.com/upgrade.php) wherever directory you put it in.

https://download.simplemachines.org/

https://wiki.simplemachines.org/smf/Upgrading
https://wiki.simplemachines.org/smf/Upgrading#Extract_The_SMF_Archive_and_Upload_The_Files_to_Your_Website
https://wiki.simplemachines.org/smf/Upgrading#Run_the_Upgrading_Tool
ShadesWeb.com - Custom Logos - My Themes on SMF | My Themes on ShadesWeb
https://shadesweb.com

BikerHound.com - Sniffing out the road ahead
https://bikerhound.com

Dream as if you'll live forever; Live as if you'll die today. - James Dean

shadav

yes sorry but no there is no way to upgrade/patch through the package manager when going to a new branch of smf

you will need to use the large upgrade files, uploading them to your site, over writing all existing files and then run the upgrade to update the database

this will set your forum to a default smf 2.1.x, meaning you will need to find new themes and mods that are made to work with smf 2.1.x, download and install them, as anything made for 2.0.x will not work for 2.1.x
however your database will be in tact so no posts will be lost or anything there just all themes and mods will be removed.

Oldiesmann

There is no possible way we could support upgrading between major releases through the package manager. There are just far too many code changes and the package manager wasn't really designed for that anyway.
Michael Eshom
Christian Metal Fans

FinsandFur

And there you have it. I dont know how I missed any info stating that but I thank you guys for pointing it out.
I uploaded large pkg and ran the upgrade utility and everything went off absolutely perfect.
This was a very heavily modded site. I expected a lot of issues and there were none.
"Thank you kindly" doesnt begin to express my gratitude @Oldiesmann @shadav @Shades.

Advertisement: